##bossbar
execute store result bossbar minecraft:storm value run data get entity @e[tag=cloud,limit=1] Health
execute at @e[tag=cloud] if entity @e[tag=cloud] run bossbar set minecraft:storm players @a[distance=..50]
execute unless entity @e[tag=cloud] run bossbar set minecraft:storm players
execute as @e[tag=cloud] store result score @s storm_health run data get entity @s Health
##Effects
execute at @e[tag=cloud] run particle minecraft:dust 1 1 1 1 ~ ~3 ~ 0.5 0.25 0.5 0 100
execute at @e[tag=cloud] run particle minecraft:falling_water ~ ~3 ~ 0.5 0.1 0.5 0 10
effect give @e[tag=cloud] fire_resistance infinite 0 true
effect give @e[tag=cloud] speed infinite 0 true
execute unless entity @e[tag=cloud,type=skeleton] run stopsound @a player minecraft:music.sound2
effect clear @e[tag=cloud] levitation
execute at @e[tag=cloud] run effect give @a[distance=..2] slowness 3 1
execute at @e[tag=cloud,nbt={HurtTime:9s}] run playsound minecraft:entity.elder_guardian.hurt player @a[distance=..10] ~ ~ ~ 100 1.5 1.0
##Attacks
#Tornado
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack 1
execute if score @e[tag=cloud,limit=1] storm_attack matches 1000 at @e[tag=cloud] run playsound block.end_portal.spawn player @a[distance=..20] ~ ~ ~ 1 0.2
execute if score @e[tag=cloud,limit=1] storm_attack matches 1000 at @e[tag=cloud] run summon silverfish ~ ~1 ~ {Tags:["tornado"],Silent:1b,ActiveEffects:[{Id:14,Amplifier:1b,Duration:99999}]}
execute if score @e[tag=cloud,limit=1] storm_attack matches 1500 run kill @e[tag=tornado]
execute if score @e[tag=cloud,limit=1] storm_attack matches 1600.. run scoreboard players set @e[tag=cloud] storm_attack 0
execute at @e[tag=tornado] run particle minecraft:sweep_attack ~ ~6 ~ 1.0 5.0 1.0 0.1 50 normal
execute at @e[tag=tornado] run effect give @e[tag=!cloud,tag=!tornado,type=!skeleton,distance=1..5] levitation 1 1 true
#Boost Pads
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack1 1
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run playsound block.portal.ambient player @a[distance=..20] ~ ~ ~ 100 2
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run summon minecraft:marker ~ ~ ~ {Tags:["particles"]}
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run summon minecraft:marker ~ ~ ~5 {Tags:["particles"]}
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run summon minecraft:marker ~5 ~ ~ {Tags:["particles"]}
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run summon minecraft:marker ~-5 ~ ~ {Tags:["particles"]}
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 200 at @e[tag=cloud] run summon minecraft:marker ~ ~ ~-5 {Tags:["particles"]}
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 300.. run kill @e[tag=particles]
execute if score @e[tag=cloud,limit=1] storm_attack1 matches 321.. run scoreboard players set @e[tag=cloud] storm_attack1 0
execute as @e[tag=particles] at @s run particle minecraft:cloud ^ ^ ^1 0 0 0 0 1
execute as @e[tag=particles] at @s run tp @s ~ ~ ~ ~10 ~
execute at @e[tag=particles] at @a[distance=..1] run effect give @p minecraft:levitation 1 20 true
#Lightning
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack2 1
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 400 at @e[tag=cloud] run tp @e[tag=cloud] ~ ~3 ~
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 401.. at @e[tag=cloud] run tp @e[tag=cloud] ~ ~ ~
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 400.. at @e[tag=cloud] run particle dust 1.000 1.000 1.000 1 ~ ~ ~5 .3 .1 .3 1 125 normal
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 400.. at @e[tag=cloud] run particle dust 1.000 1.000 1.000 1 ~5 ~ ~ .3 .1 .3 1 125 normal
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 400.. at @e[tag=cloud] run particle dust 1.000 1.000 1.000 1 ~ ~ ~-5 .3 .1 .3 1 125 normal
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 400.. at @e[tag=cloud] run particle dust 1.000 1.000 1.000 1 ~-5 ~ ~ .3 .1 .3 1 125 normal
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 440 at @e[tag=cloud] run summon lightning_bolt ~ ~-3 ~5
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 440 at @e[tag=cloud] run summon lightning_bolt ~5 ~-3 ~
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 440 at @e[tag=cloud] run summon lightning_bolt ~ ~-3 ~-5
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 440 at @e[tag=cloud] run summon lightning_bolt ~-5 ~-3 ~
execute if score @e[tag=cloud,limit=1] storm_attack2 matches 441.. run scoreboard players set @e[tag=cloud] storm_attack2 0
#Death Cloud
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack3 1
execute if score @e[tag=cloud,limit=1] storm_attack3 matches 1300 at @e[tag=cloud] run summon minecraft:area_effect_cloud ~ ~ ~3 {Duration:20,Tags:["s"]}
execute at @e[tag=s] run particle minecraft:sweep_attack ^ ^1 ^ 2 0.5 2 3 10 force
execute at @e[type=minecraft:area_effect_cloud,tag=s] run playsound minecraft:entity.drowned.shoot voice @a[distance=..20] ~ ~ ~ 1 1.3
execute at @e[type=minecraft:area_effect_cloud,tag=s] run damage @e[type=!minecraft:area_effect_cloud,limit=1,tag=!cloud] 3 magic
execute if score @e[tag=cloud,limit=1] storm_attack3 matches 1300 run scoreboard players set @e[tag=cloud] storm_attack3 0
#Minnion
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack4 1
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900 at @e[tag=cloud] run summon silverfish ~ ~ ~ {Tags:["cloudm"]}
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900 at @e[tag=cloud] run summon silverfish ~ ~ ~ {Tags:["cloudm"]}
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900 at @e[tag=cloud] run summon silverfish ~ ~ ~ {Tags:["cloudm"]}
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900 at @e[tag=cloud] run summon silverfish ~ ~ ~ {Tags:["cloudm"]}
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900 at @e[tag=cloud] run summon silverfish ~ ~ ~ {Tags:["cloudm"]}
effect give @e[tag=cloudm] speed infinite 0 true
effect give @e[tag=cloudm] strength infinite 0 true
effect give @e[tag=cloudm] fire_resistance infinite 0 true
execute if score @e[tag=cloud,limit=1] storm_attack4 matches 1900.. run scoreboard players set @e[tag=cloud] storm_attack4 0
#Posion Cloud
execute at @e[tag=cloud] run scoreboard players add @e[tag=cloud] storm_attack5 1
execute if score @e[tag=cloud,limit=1] storm_attack5 matches 500 at @e[tag=cloud] run summon area_effect_cloud ~ ~ ~ {Particle:"dust 0.024 0.388 0.114 1",Radius:2f,Duration:100,Tags:["posion"],Potion:"minecraft:poison",Effects:[{Id:19,Amplifier:1b,Duration:5}]}
execute if score @e[tag=cloud,limit=1] storm_attack5 matches 600.. run scoreboard players set @e[tag=cloud] storm_attack5 0
execute if score @e[tag=cloud,limit=1] storm_attack5 matches 500 at @e[tag=cloud] run playsound minecraft:block.brewing_stand.brew player @a[distance=..10] ~ ~ ~ 100 1
##Spawn
execute at @e[tag=cloudspawn] at @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane",Count:5b}},distance=..1] run summon lightning_bolt ~ ~ ~
execute at @e[tag=cloudspawn] at @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane",Count:5b}},distance=..1] positioned ~1 ~2 ~ run function ub:summon.mcfunction/storm
execute at @e[tag=cloudspawn] at @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane",Count:5b}},distance=..1] run kill @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane"}},distance=..1]
execute at @e[tag=cloudspawn] run particle soul ~ ~1 ~ 0.2 0.2 0.3 0 1 force